View Issue Details

IDProjectCategoryView StatusLast Update
0002970Ham Radio DeluxeEnhancementpublic2019-02-24 15:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.131 
Target VersionFixed in Version6.5.0.196 
Summary0002970: Rig Control: consider enhancing drop-down list buttons for mismatched response groups
DescriptionThe Rig control app shows up to 6 drop-down buttons which allow the selection of a setting from a list. The button, when not dropped-down, shows the current setting.

The button is implemented by declaring a command to send to the radio, a set of expected responses, and a correlated set of labels for the received responses.

This works for most settings on most radios. Some radios, however, don't cleanly map one command to one response for a single setting. The design of the code depends on this, and it just doesn't work for such settings. We should consider enhancing the drop-down code to optionally break the dependence between the list of commands, the list of settings, and the list of responses.
TagsNo tags attached.
ModuleRig Control
Sub-ModuleAppearance/UI
Testing Beta Successful

Relationships

related to 0003058 closedK7ZCZ FTDX-3000 600 Hz Button not displaying the state it is in 
related to 0003113 closedK7ZCZ FT-891 "AGC" setting doesn't show "auto" 
related to 0003151 closedK7ZCZ FTDX-3000 "AGC" setting doesn't show "auto" 

Activities

K7ZCZ

2019-01-31 09:12

manager   ~0007181

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4787

WA9PIE

2019-02-02 22:15

administrator   ~0007228

I fully understand the change. I'm unable to understand what we need to do to test it, if it's rig dependent.

Can you help me?

K7ZCZ

2019-02-02 22:18

manager   ~0007229

This issue fixes an abstract issue by implementing a feature to support it.
The related issues give concrete examples.

WA9PIE

2019-02-03 19:27

administrator   ~0007252

Thanks. I'll close this one when the related items are confirmed.

WA9PIE

2019-02-10 08:28

administrator   ~0007345

All related items are closed.

Closing this one.

Issue History

Date Modified Username Field Change
2018-12-06 13:51 K7ZCZ New Issue
2019-01-11 14:54 K7ZCZ Relationship added related to 0003058
2019-01-26 18:23 K7ZCZ Relationship added related to 0003113
2019-01-31 09:12 K7ZCZ Assigned To => K7ZCZ
2019-01-31 09:12 K7ZCZ Status new => resolved
2019-01-31 09:12 K7ZCZ Resolution open => fixed
2019-01-31 09:12 K7ZCZ Note Added: 0007181
2019-02-01 18:13 K7ZCZ Fixed in Version => 6.5.0.189
2019-02-02 13:18 K7ZCZ Relationship added related to 0003151
2019-02-02 22:15 WA9PIE Note Added: 0007228
2019-02-02 22:18 K7ZCZ Note Added: 0007229
2019-02-03 19:27 WA9PIE Note Added: 0007252
2019-02-10 08:28 WA9PIE Status resolved => closed
2019-02-10 08:28 WA9PIE Testing Not Started => Beta Successful
2019-02-10 08:28 WA9PIE Note Added: 0007345
2019-02-24 14:36 WA9PIE Fixed in Version 6.5.0.189 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe